#ifndef OGRE_GFX_OBJ
#define OGRE_GFX_OBJ

#define OGRE_RELEASE_ASSERT 0

#include "GameObj.H"
#include <string.h>
#include <Ogre.h>
#include <deque>
#include <iostream>

class OgreGfxAnimationSet{
public:
  OgreGfxAnimationSet(Ogre::Entity *objEntity);
  ~OgreGfxAnimationSet();

  Ogre::AnimationState *idleAnimationState; // The current animation state of the object
  Ogre::AnimationState *moveAnimationState; 
  Ogre::AnimationState *attackAnimationState; 
  Ogre::AnimationState *dieAnimationState;
  Ogre::AnimationState *specialAnimationState;
};

#endif
