// $Id: LocalWorker.cpp,v 1.1 2007/04/25 20:40:29 shstoyko Exp $

#include "LocalWorker.h"

using std::cout;
using std::endl;

LocalWorker::LocalWorker(GameObj *gob_): gob(gob_){

  state = IDLE;
  targetMineral = NULL;
  attempt = 0;
}

LocalWorker::~LocalWorker(){
}

void LocalWorker::setGOB(GameObj* gob_){

  gob = gob_;
}

GameObj* LocalWorker::getGOB(){

  return gob;
}

void LocalWorker::setState(States state_){

  state = state_;
}

States LocalWorker::getState(){

  return state;
}

void LocalWorker::setTargetMineral(GameObj* targetMineral_){

  targetMineral = targetMineral_;
}

GameObj* LocalWorker::getTargetMineral(){

  return targetMineral;
}

void LocalWorker::setTX(sint4 x){

  tx = x;
}

sint4 LocalWorker::getTX(){

  return tx;
}

void LocalWorker::setTY(sint4 y){

  ty = y;
}

sint4 LocalWorker::getTY(){

  return ty;
}


void LocalWorker::setAttempt(int attempt_){

  attempt = attempt_;
}

int LocalWorker::getAttempt(){

  return attempt;
}


//------------------------------

void LocalWorker::moveTo(sint4 x, sint4 y){

  Vector<sint4> params;

  params.push_back(x);
  params.push_back(y);
  gob->set_action("move", params);
  cout << "++++++++moving to " << x << " , " << y << endl;
}

void LocalWorker::moveToTargetMineral(){

  moveTo(*targetMineral->sod.x, *targetMineral->sod.y);
}

void LocalWorker::moveToXY(){

  moveTo(tx, ty);
}


void LocalWorker::mine(){


}

void LocalWorker::returnResource(){

}


