// $Id: MyHandler.H,v 1.1.1.1 2007/04/09 19:06:19 pjungkun Exp $

// This is an ORTS file (c) Jonathan Yip, licensed under the GPL

#include "EventHandler.H"
#include "Client.H"
#include "OSL.H"
#include "Global.H"

class MyHandler : public EventHandler
{
public:
  MyHandler(Client *client_, OSL::Program *program_);

  void handle_event(const std::string &from, const std::string &what);
private:
  Client *client;
  sint4 player_num;
  OSL::Program *program;
};
