#ifndef ShooterAIWidget_H
#define ShooterAIWidget_H

// $Id: ShooterAIWidget.H,v 1.1.1.1 2007/04/09 19:06:47 pjungkun Exp $

// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "CWidget.H"
#include "ShooterAI.H"

//===================================================================

/** GUI interface with ShooterAI. */

class ShooterAIWidget : public CWidget
{
private:
  ShooterAI *shooter_ai;

public:

  ShooterAIWidget();
  void attach(ShooterAI *ai);

protected:
  stype event_mouse_down(stype x, stype y, stype b);
  stype event_key_down(stype key, stype mod, stype x, stype y);

  stype draw();
};

//===================================================================

#endif
