#ifndef TM_SCORE_H
#define TM_SCORE_H

// $Id: TM_Score.H,v 1.1.1.1 2007/04/09 19:06:54 pjungkun Exp $

// (c) M.Buro, licensed under the GPL2

#include <string>

// compute player score(s) from game result string(s)

// return true iff error in text

// game 1
// one-player game, return score
extern bool score1(const std::string &text, float &sc1);

// game 2
// 2 two-player game results -> scores for player 1 (in first game) and player 2
extern bool score2(const std::string &res1, const std::string &res2, float &sc1, float &sc2);

// game 3
// 2 two-player game results -> scores for player 1 (in first game) and player 2
extern bool score3(const std::string &res1, const std::string &res2, float &sc1, float &sc2);

extern void score1_test();
extern void score2_test();
extern void score3_test();

#endif
