// $Id: worlded_main.C,v 1.1.1.1 2007/04/09 19:06:58 pjungkun Exp $

#include <ctime>
#include <qapplication.h>
#include <iostream>
#include "MainWindow.h"
#include "Worlded.H"




int main(int argc, char ** argv )
{
  using std::cout;
  using std::endl;

  QApplication a(argc, argv);
  MainWindow w;
  
  w.show();
  a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );

  // Get a random number
  Random rand(time(NULL));
  uint4 randNum = rand.rand_uint4();
  cout << "Map Seed: " << randNum << endl;
 
  Worlded* world = Worlded::instance();
  world->initialize(9, 3, GROUND);
  w.changeTerrain();
  world->generate_map();
  return a.exec();
}

