#ifndef  DrawOnTerrain_H
#define  DrawOnTerrain_H

/** @file DrawOnTerrain.H

    $Id: DrawOnTerrain.H,v 1.1 2006/06/27 02:32:29 orts_mburo Exp $
    $Source: /usr/bodo1/cvs/cvs/orts3/libs/ogfx/src/DrawOnTerrain.H,v $
*/

#include "Global.H"
//#include "GfxGlobal.H"
#include "LinAlg.H"

class GfxModule;
//template class Vec3;

//===================================================================

/** Draws simple information on 3D terrain. */

class DrawOnTerrain {

protected:

  GfxModule *gfxm;

public:

  DrawOnTerrain(GfxModule &gfxm);
  virtual ~DrawOnTerrain();

  void begin_lines();
  void end_lines();
  void draw_line(real4 x1, real4 y1, real4 x2, real4 y2, const Vec3<real4> &col, real4 width=1.0);
  void draw_circle(real4 cx, real4 cy, real4 r, const Vec3<real4> &col, real4 width=1.0);

  void begin_tiles();
  void end_tiles();
  void draw_tile(sint4 tx, sint4 ty, const Vec3<real4> &col);

  void begin_squares();
  void end_squares();
  void draw_square(real4 x1, real4 y1, real4 x2, real4 y2, const Vec3<real4> &col);
};

//===================================================================

#endif
